slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVSetSizesFromVec

Sets the local and global sizes, and the number of columns. Local and global sizes are specified indirectly by passing a template vector.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetSizesFromVec(BV bv,Vec t,PetscInt m)

Collective

### Input Parameters

| bv | - the basis vectors
| t | - the template vector
| m | - the number of columns

### See Also

BVSetSizes(), BVGetSizes(), BVResize()

### Level

beginner

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages